#include "LibItsSecurity_EncdecDeclarations.hh"

namespace LibItsSecurity__EncdecDeclarations {
/****************************************************
 * @desc    External function to encode a SecuredMessage type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__SecuredMessage(const LibItsSecurity__TypesAndValues::SecuredMessage& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a SecuredMessage type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/

INTEGER fx__dec__SecuredMessage(BITSTRING& b, LibItsSecurity__TypesAndValues::SecuredMessage& p)
{
  return -1;
}

/****************************************************
 * @desc    External function to encode a ToBeSignedSecuredMessage type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__ToBeSignedSecuredMessage(const LibItsSecurity__TypesAndValues::ToBeSignedSecuredMessage& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a ToBeSignedSecuredMessage type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/

INTEGER fx__dec__ToBeSignedSecuredMessage(BITSTRING& b, LibItsSecurity__TypesAndValues::ToBeSignedSecuredMessage& p)
{
  return -1;
}

/****************************************************
 * @desc    External function to encode a Certificate type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__Certificate(const LibItsSecurity__TypesAndValues::Certificate& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a Certificate type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/

INTEGER fx__dec__Certificate(BITSTRING& b, LibItsSecurity__TypesAndValues::Certificate& p)
{
  return -1;
}

/****************************************************
 * @desc    External function to encode a ToBeSignedCertificate type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__ToBeSignedCertificate(const LibItsSecurity__TypesAndValues::ToBeSignedCertificate& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a ToBeSignedCertificate type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
/*
INTEGER fx__dec__ToBeSignedCertificate(BITSTRING& b, LibItsSecurity__TypesAndValues::ToBeSignedCertificate& p)
{
  return -1;
}
*/
} //end namespace
